import request from '@/utils/request'

export function _create(data) {
  return request({
    url: 'HsCodeMatch/Create',
    method: 'post',
    data
  })
}

export function _queryPage(data) {
  return request({
    url: 'HsCodeMatch/Query',
    method: 'post',
    data
  })
}

export function _modify(data) {
  return request({
    url: 'HsCodeMatch/Modify',
    method: 'post',
    data
  })
}

export function _setEnable(data) {
  return request({
    url: 'HsCodeMatch/SetEnable',
    method: 'post',
    data
  })
}

export function _delete(id) {
  const data = { id }
  return request({
    url: 'HsCodeMatch/Remove',
    method: 'post',
    data
  })
}

export function _test(kw) {
  const params = { kw }
  return request({
    url: 'HsCodeMatch/TestAndGetItem',
    method: 'get',
    params
  })
}
